org.modeshape.sequencer.teiid.model

## Class ReferenceResolver

- java.lang.Object
- - org.modeshape.sequencer.teiid.model.ReferenceResolver

-     public class ReferenceResolver
      extends Object

  Records nodes and unresolved references.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,String>` | `STANDARD_DATA_TYPE_URLS_BY_UUID`
    `static Map<String,String>` | `STANDARD_DATA_TYPE_URLS_TO_NAMES`
    `static Map<String,String>` | `STANDARD_DATA_TYPE_UUIDS_BY_NAMES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference` | `addUnresolvedReference(String xmiUuid)`
    `Map<String,org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference>` | `getUnresolved()`
    `boolean` | `isReference(String value)`
    `void` | `record(String xmiUuid, Node node)`
    `void` | `resolved(org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference unresolved)`
    `String` | `resolveInternalReference(String proposedUuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_DATA_TYPE_URLS_BY_UUID

          public static final Map<String,String> STANDARD_DATA_TYPE_URLS_BY_UUID

    - #### STANDARD_DATA_TYPE_URLS_TO_NAMES

          public static final Map<String,String> STANDARD_DATA_TYPE_URLS_TO_NAMES

    - #### STANDARD_DATA_TYPE_UUIDS_BY_NAMES

          public static final Map<String,String> STANDARD_DATA_TYPE_UUIDS_BY_NAMES

  - ### Constructor Detail

    - #### ReferenceResolver

          public ReferenceResolver()

  - ### Method Detail

    - #### addUnresolvedReference

          public org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference addUnresolvedReference(String xmiUuid)
                                                                                                           throws Exception

      Parameters:
        `xmiUuid` - the UUID of the model object whose node has not been created (cannot be `null`)
      Returns:
        the unresolved reference (never `null`)
      Throws:
        `Exception` - if a node for the specified UUID does exist

    - #### getUnresolved

          public Map<String,org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference> getUnresolved()

      Returns:
        the unresolved references (never `null`)

    - #### isReference

          public boolean isReference(String value)

      Parameters:
        `value` - the value being checked to see if it is a reference (cannot be `null` or empty)
      Returns:
        `true` if value is a reference

    - #### record

          public void record(String xmiUuid,
                    Node node)

      Parameters:
        `xmiUuid` - the UUID associated with the node being registered (cannot be `null` or empty)
        `node` - the node being registered (cannot be `null`)

    - #### resolved

          public void resolved(org.modeshape.sequencer.teiid.model.ReferenceResolver.UnresolvedReference unresolved)

      Parameters:
        `unresolved` - the unresolved reference being marked as resolved (cannot be `null`)

    - #### resolveInternalReference

          public String resolveInternalReference(String proposedUuid)

      Parameters:
        `proposedUuid` - the value whose UUID prefix is being removed (cannot be `null` or empty)
      Returns:
        the UUID or `null` if the proposedUuid is not a UUID

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.